iProov (face biometrics)
Start iProov Challenge
Start an iProov challenge.
POST
/
challenge
/
iproov
Start an iProov Challenge
curl --request POST \
--url https://api.authsignal.com/v1/client/challenge/iproov \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.authsignal.com/v1/client/challenge/iproov"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.authsignal.com/v1/client/challenge/iproov', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"iproovToken": "<string>",
"challengeId": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>",
"errorCode": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>"
}Authorizations
Use a short-lived token obtained from the Server API's Track Action endpoint. The token is valid for 10 minutes and should be passed in the Authorization header as 'Bearer {token}'.
Response
OK
The iProov token which can be used to initiate the iProov client side flow, pass this to the iProov Client SDK.
The ID of the challenge which has been initiated. Use this ID to lookup whether the challenge has been successfully completed, after iProov Client SDK has completed a verification flow.
Was this page helpful?
⌘I
Start an iProov Challenge

